summaryrefslogtreecommitdiff
path: root/tests/test-btoc32-1.sh
diff options
context:
space:
mode:
authorJörg Frings-Fürst <debian@jff.email>2024-03-24 08:54:48 +0100
committerJörg Frings-Fürst <debian@jff.email>2024-03-24 08:54:48 +0100
commit163a663518f33bab48b28431972e580b366b4d49 (patch)
treef518ffabaca4a0b93f0103d617e803792d3b0b43 /tests/test-btoc32-1.sh
parent1b3a8d5ad2ea2f099d514d9dd51ebf926a628076 (diff)
parentdd0000f7e25abe6c28d4329d324fd7fcab54094f (diff)
Merge branch 'release/debian/1.2-1'HEADdebian/1.2-1master
Diffstat (limited to 'tests/test-btoc32-1.sh')
-rwxr-xr-xtests/test-btoc32-1.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/test-btoc32-1.sh b/tests/test-btoc32-1.sh
new file mode 100755
index 00000000..25caea64
--- /dev/null
+++ b/tests/test-btoc32-1.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+# Test whether the POSIX locale has encoding errors.
+LC_ALL=C \
+${CHECKER} ./test-btoc32${EXEEXT} 1 || exit 1
+LC_ALL=POSIX \
+${CHECKER} ./test-btoc32${EXEEXT} 1 || exit 1
+
+exit 0